WCC ECLI commands fail after updating igateway JRE
search cancel

WCC ECLI commands fail after updating igateway JRE

book

Article ID: 218588

calendar_today

Updated On:

Products

CA Workload Automation AE

Issue/Introduction

The JRE used by igateway ($CASHCOMP/iTechnology/jre_cs) was updated to a newer version on the AutoSys Application Server machine. After the JRE update, WCC ECLI commands started failing. In the ECLI Output section, the following error is displayed...

The command could not be executed. Command processing exception encountered.

In the ECLI Error section, the following error is displayed...

internal server error

Environment

Release : 11.3.6

Component : WORKLOAD CONTROL CENTER

Cause

This problem can occur when there is a bitness mismatch between igateway and the JRE it is using.

Resolution

Older AutoSys 11.3.6 service packs had a 32-bit igateway. However, later 11.3.6 service packs have a 64-bit igateway. When updating the JRE for igateway, make sure the JRE bitness matches that of the igateway that is installed. If you are unsure whether your igateway is 32 or 64-bit, run 'file /opt/CA/SharedComponents/iTechnology/igateway' to confirm. The JRE installed under /opt/CA/SharedComponents/iTechnology/jre_cs must match.